
#include <epix.h>

#ifdef _DEBUG
pair p1 = 2*P(1,0);
pair p2 = P(0,1);
pair p3 = P(-1,0);
pair p4 = P(0,-1);
#endif

main() 
{
  bounding_box(P(-4,-3),P(4,2)); // [-4,4] x [-3,2]
  picture(P(12, 7.5));           // picture is 12 x 7.5 units

  unitlength("5mm");

  /* Start picture */
  begin();

  /* hatched polygon */
  grid(P(x_min, y_min), P(x_max, y_max), x_size, y_size);

#ifndef _DEBUG
  hatch_polygon(45, 0.2, 6, P(-2,-3),P(-3,1),P(1,0),P(2,3),P(4,-2),P(-1,-1));
#endif

#ifdef _DEBUG
  red();
  hatch_polygon(45, 0.2, 4, p1, p2, p3, p4);
  black();

  dot(p1);
  dot(p2);
  dot(p3);
  dot(p4);

  label(p1, P(2,2), "I");
  label(p2, P(2,2), "II");
  label(p3, P(2,2), "III");
  label(p4, P(2,2), "IV");
#endif /* _DEBUG */

  /* End picture */
  end();
}
